function Dhg(){}
function Jhg(){}
function thg(a){this.a=a}
function vhg(a){this.a=a}
function Hhg(a){this.a=a}
function Chg(a,b){VZf(a.a,b)}
function Zhg(a){var b;if(!a.d){b=new Dhg;a.d=b}return a.d}
function Fhg(){Hne.call(this,UZj,'Persistence Inheritance')}
function ohg(a){var b;b=tAh(a.b.a,ouf(),$L(Y0c,ixj,1,[]));B7i(s7i(b,fGj),_$j);nnj(new Gmj(b),new thg(a))}
function qhg(a,b,d,e){GFd.call(this,a,b,d);this.c=e;this.b=new U_i(bLb,(EAh(),zAh).Mc(bLb),DAh.Mc(bLb));this.a=new h0i(bLb)}
function Yhg(a){var b;if(!a.c){b=new qhg(QEd(Nbe(a.a)),Zhg(a),Xhg(a),(Rnj(sde(a.a)),lLg(Gce(a.a))),V0i(qde(a.a)));aFd((Obe(a.a),b),ZFd(Obe(a.a)));a.c=b}return a.c}
function phg(a,b){var d;d=Y_i(a.a,b,tAh(a.b.a,ouf(),$L(Y0c,ixj,1,[])),$L(R1c,bxj,281,[]));if(b.Jc(eMj)&&uh(b.Mc(eMj),Izj)){b.Pc(eMj);H7i(s7i(d,fMj),(Klj(),Jlj))}nnj(new Gmj(d),new vhg(a))}
function shg(a,b){var d,e;e=hnj(b);if(e.b.gN(CGj)&&s7i(e,CGj).b.b!=(Klj(),Jlj)&&!UOd(s7i(e,CGj).b.Ze(),DGj)){UXd(e_j+(PXd(),'Loading JPA Subsystem'))}else{d=Z_i(a.a.a,s7i(e,oGj).b._M());Chg(a.a.A,d)}}
f3c(3553,1007,hyj,qhg);_.Qi=function(){this.A.b=this};_.Vi=function(){ohg(this)};_.Zi=function(){ruf(this.c,this)};f3c(3554,1294,{},thg);_.dh=function(a){shg(this,a)};f3c(3555,1294,{},vhg);_.dh=function(a){var b;b=hnj(a);b.b.gN(CGj)&&s7i(b,CGj).b.b!=(Klj(),Jlj)&&!UOd(s7i(b,CGj).b.Ze(),DGj)?VXd(k0j+(PXd(),xck),u7i(b)):WXd(l0j+(PXd(),xck));ohg(this.a)};f3c(3558,1411,gyj,Dhg);_.Ah=function(){var a,b,d,e,g,i;this.a=new a$f(bLb);a=new Hge(eMj,yck,false);g=new Fhg;Gne(g,$L(Y0c,ixj,1,['DEEP','SHALLOW']));M0d(this.a,sGj,$L(P1c,Ryj,262,[a,g]));K0d(this.a,false);d=new A0i(this.a,new Hhg(this));e=new s1e(new Jhg,this.a);b=AAe(CAe(BAe(new EAe,this.a),e));i=eBe(jBe(iBe(fBe(gBe(lBe(new mBe,I1j),xck),(PXd(),'The configuration of the JPA subsystem.')),X1j,b),y0i(d)));return i};f3c(3559,1659,Xyj,Fhg);_.Zj=function(){return false};f3c(3560,1,{},Hhg);_.Dk=function(a){phg(this.a.b,(this.a.a.c,a))};f3c(3561,1,{},Jhg);_.$k=function(){var a;a=ouf();C7i(g7i(a),wHj,BFj);return a};f3c(3567,1,Pyj);_.pd=function(){yGd(this.b,Yhg(this.a.a))};var VKb=wNd(3553),RKb=wNd(3554),SKb=wNd(3555),ZKb=wNd(3558),WKb=wNd(3559),XKb=wNd(3560),YKb=wNd(3561);Dzj(_o)(54);